Acorn is a carefully designed library that brings true modularity to your 
presentation layer and allows you to have full control over your transition
animations.

Activities and Fragments restrict application development in such a way that
creating modular, testable components becomes a difficult thing to do.
Furthermore, implementing transition animations to visualize going from one 
screen to another with either of these components is non trivial.

Acorn provides modularity by grouping specific sets of screens together as 
building blocks, building up your application into several composable flows.  
The view layer is decoupled from navigation and reacts to screen changes, giving
you full control over transition animations.

You can learn more about Acorn on these pages.

_Note: this documentation website is work in progress, and some sections may be
missing or incomplete._

## Contents

* [Background](background)
  * [Mobile Applications](background/mobile_applications)
  * [Application Flow](background/application_flow)
  * [Saving and Restoring State](background/saving_and_restoring_state)
  * [Deep Linking](background/deep_linking)
  <!--* [Transition animations](background/transition_animations)-->
* [Concepts](concepts)
  * [Scenes](concepts/scenes)
  * [Navigators](concepts/navigators)
  * [The View Layer](concepts/view_layer)
 * [Usage](usage)
   * [Setup](usage/setup)
   * [Getting Started](usage/getting_started)
   * [Scenes](usage/scenes)
   * [Navigators](usage/navigators)
   * [Transition animations](usage/transition_animations)
   * [ViewControllers](usage/viewcontrollers)
   * [ViewControllerFactories](usage/viewcontrollerfactories)
   * [ActivityControllerFactories](usage/activity_controller_factories)
